8.x version of Images plugin

Does anyone know if the source code for the 8.x version of the Images plugin is available anywhere? The source distributed with the 8.1 plugin SDK appears to be for 7.x and doesn't compile against the refactored API. Its plugin.xml is also invalid.

It would be a great skeleton example for what I'm wanting to do.

Thanks for the help.

Tegan

3 comments
Comment actions Permalink

Hello tegan,

Does anyone know if the source code for the 8.x version of the Images
plugin is available anywhere? The source distributed with the 8.1
plugin SDK appears to be for 7.x and doesn't compile against the
refactored API. Its plugin.xml is also invalid.

It would be a great skeleton example for what I'm wanting to do.


The source in the Plugin Development Kit is taken right from the development
repository, so it's very unlikely that you have an outdated version. You
may need to add idea.jar to the classpath of your IDEA SDK to get the plugin
to compile.

Alternatively, you can check out the plugin source code from Subversion:
http://svn.jetbrains.org/idea/BRANCHES/Diana81/bundled/images/

--
Dmitry Jemerov
Development Lead
JetBrains, Inc.
http://www.jetbrains.com/
"Develop with Pleasure!"


0
Comment actions Permalink

Hi Dmitry,

Thank you very much for the quick answer. I checked your SVN server, and what I have from the SDK does match what's in SVN.

I added idea.jar to the IDEA SDK and this did indeed get the project to compile. Thank you.

In the plugin.xml most of the other plugins are "version 2":

   <idea-plugin version="2">

The Images plugin appears to still be version 1? It appears to register things in the "extensions" element that are no longer done this way for 8.x?

See the attached screen shot.

Can you do things in more than one way?

Thanks again.

Tegan



Attachment(s):
errors.png
0
Comment actions Permalink

I think this may already have been answered:

http://www.jetbrains.net/devnet/thread/269517

0

Please sign in to leave a comment.